import java.awt.Color;
import java.awt.image.IndexColorModel;


public class ColorSet {

public static int ColorCube[] = { 0,51,102,153,204,255 };

public static Color colors[];
public static IndexColorModel model;
public static IndexColorModel opaquemodel;


public static byte red[];
public static byte green[];
public static byte blue[];

public static int Transparent = 197;
public static int NumberColors = 217;

static {
  colors = new Color[NumberColors];
  red = new byte[NumberColors];
  green = new byte[NumberColors];
  blue = new byte[NumberColors];
  
  //Transparent Color
  colors[0]=new Color(Transparent,Transparent,Transparent);
  red[0]=(byte)Transparent;
  green[0]=(byte)Transparent;
  blue[0]=(byte)Transparent;
  
  //The rest of the colors
  int counter = 1;
  for (int r=0; r < 6; r++) {
  	for (int g=0; g < 6; g++) {
  		for (int b=0; b < 6; b++) {
  			colors[counter]=new Color(ColorCube[r],ColorCube[g],ColorCube[b]);
  	    red[counter]=(byte)ColorCube[r];
        green[counter]=(byte)ColorCube[g];
        blue[counter]=(byte)ColorCube[b];
  			counter++;
  		}
    }
  }
  colors[1] = new Color(0,0,0);
  red[1] = 0;
  green[1] = 0;
  blue[1] = 0;
  colors[0] = new Color(255, 255, 255);
  red[0] = (byte)255;
  green[0] = (byte)255;
  blue[0] = (byte)255;
  
  model = new IndexColorModel(8, NumberColors,red, green, blue, 0);
  opaquemodel = new IndexColorModel(8, NumberColors,red, green, blue);
}

public ColorSet() {};
  
public Color getcolor(int c) {
  return (colors[c]);
}
}
