


class IconBuf {
  byte pixels[];
  public int startX,startY,endX, endY;
  public int len, width, height;
  
public IconBuf(byte pset[], int pw, int ph, int x1, int y1, int x2, int y2) {
  if (x1 < x2) {
    startX=x1;
    endX=x2;
  }
  else {
    startX=x2;
    endX=x1;
  }    
  if (y1 < y2) {
    startY=y1;
    endY=y2;
  }
  else {
    startY=y2;
    endY=y1;
  }    
  startX=(startX >= 0 && startX <pw) ? startX :
	(startX < 0 ? 0 : pw-1);
  startY=(startY >= 0 && startY <ph) ? startY :
	(startY < 0 ? 0 : ph-1);
  endX=(endX >= 0 && endX <pw) ? endX :
	(endX < 0 ? 0 : pw-1);
  endY=(endY >= 0 && endY <ph) ? endY :
	(endY < 0 ? 0 : ph-1);
  //  System.out.println("cut" + startX + "," + startY + "  " + endX + "," + endY);
  width=endX-startX+1;
  height=endY-startY+1;
  len=width*height;
  pixels=new byte[len];
  int index=startY*pw+startX;
  int inc=pw-width;
  for (int i=0, w=0; i < len; i++, w++) {
    if (w==width) {
      w=0;
      index+=inc;
    }
    pixels[i]=pset[index];
    index++;
  }
}

public void Paste(byte pset[], int pw, int ph, int x, int y) {
  int index=y*pw+x;
  //  int edge=x + width < pw ? width : pw - x; 
  int inc=pw-width;
  int tx=x, ty=y;
  //  System.out.println("pase:"+ x + "," + y);
  for (int i=0, w=0; i < len; i++, w++) {
    if (w==width) {
      w=0;
      index+=inc;
      tx=x;
      ty++;
    }
    if (tx >= 0 && tx < pw && ty >=0 && ty < ph) 
      pset[index]=pixels[i];
    tx++;
    index++;
  }
}

 
public void Paste(byte pset[], int pw, int ph) {
  Paste(pset, pw, ph, startX, startY);
}


}
